export interface PtMealTypeVO {
  /**
   * 营业时段id
   */
  mealId: string | number;

  /**
   * 餐类Id
   */
  typeId: string | number;

  /**
   * 餐类名称
   */
  mealName: string;

  /**
   * 开始时间
   */
  beginTime: string;

  /**
   * 结束时间
   */
  endTime: string;

  /**
   * 类别说明
   */
  mealNotes: string;
}

export interface PtMealTypeForm extends BaseEntity {
  /**
   * 营业时段id
   */
  mealId?: string | number;

  typeId?: string | number;

  /**
   * 餐类名称
   */
  mealName?: string;

  /**
   * 开始时间
   */
  beginTime?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 类别说明
   */
  mealNotes?: string;
}

export interface PtMealTypeQuery extends PageQuery {
  /**
   * 餐类名称
   */
  mealName?: string;

  /**
   * 开始时间
   */
  beginTime?: string;

  /**
   * 结束时间
   */
  endTime?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
